function setup()
	actor.name = "Conrad"
	actor.portrait = "conrad"
	actor.repairCost = 150
	actor.repairTime = 3
	
	--battle dialogue
	actor.addMessage("CONRAD: Woah buddy, a little help here?", "", 0, 1)
	
	--saved dialogue
	actor.addMessage("CONRAD: Phew, thought I might not make it out of that scrape. Hey, lemme trick your ship out. " , "", 5)
	actor.addMessage("CONRAD: I could totally add a voice-activated guidance system and like, laser sharks." , "", 5)
	actor.addMessage("CAN IT HAVE SWEET RIMS" , "stolenrobot", 5)
	actor.addMessage("CONRAD: Yeah dude! I'll make it so rad. It's even in my name. ConRAD.", "", 5)
		
	actor.addEvent("boss_conrad", 0)
	actor.addEvent("bossfriendly_1", 0)
	actor.addWave("gunship", 1, 0, "CONRAD", "survivor", 1)	--adds the wave, but doesn't start a battle
	wave.spawnmode = 2				--start out on the map
	wave.faction = 1					--player's faction
	
	actor.addEvent("if_bossalive", 4)
	actor.addEvent("getsweetrims", 5)
	actor.addEvent("fleet_overheated", 5)--make sure this changes the description + click text to the stuff below
	
	--displayname co-opted as the description
	actor.displayName = "You hear him knocking around in the engine room. Despite his assurances, you have a bad feeling about his project..."
	--actor.displayName = "He overheated your ship and you didn’t even get laser sharks. Not quite the “genius engineer” he thought he was. "
	
	--click dialogue
	actor.addClickText("Whoops, crud. Don't worry, I can fix that.")
	actor.addClickText("My professors didn't understand my genius when they kicked me out. You're lucky to have me on board!")
	actor.addClickText("Could you tape down that alarm silence button? I'm sure it's not important.")
	actor.addClickText("DUDE! Buy some lasers! Everything is better with lasers.")
	actor.addClickText("I gotta say, these flamethrowers I built are sweeeet!")
	actor.addClickText("Upgrade already! You're always loaded, yeah?")
	--actor.addClickText("Yeah, yeah, we all make mistakes.")
	--actor.addClickText("Just get over it already! Everything worked out.")
	--actor.addClickText("I’m still working on those lasers though.")
end